Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Lluís Marqués
Category: Vector editing
Target version: 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2309 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

La herramienta "Recortar linea por un objeto" funciona incorrectamente en algunos casos. A veces no es capaz de recortar la linea
cuando el objeto seleccionado es el resultado de otro recorte.

Pasos para reproducir el bug:

1. Crear dos lineas que se crucen en forma de cruz.
2. Recortar una de las aspas de la cruz seleccionando una linea he intentado recortar la otra.
3. Una vez recortada, cancelamos la herramienta y borramos la selección.
4. Ahora intentamos recortar la linea que no hemos recortado en el paso 2.

A veces si que la recorta pero en ocasiones no detecta que las lineas se crucen. Adjunto captura de pantalla como ejemplo del error.

Related issues:
Related to Application: gvSIG desktop - gvSIG add-on requests # 3595: New add... Closed 06/12/2015

Associated revisions
Revision 510 - 06/10/2015 09:35 AM - Lluís Marqués

Fix error when a line is trimmed by a splitter geometry that is the result of other split. fixes #3486

History
#1 - 05/27/2015 11:11 AM - Lluís Marqués
- Target version set to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)
- Assignee set to Lluís Marqués
- Status changed from New to In progress

#2 - 05/27/2015 01:51 PM - Lluís Marqués

Analizando el problema he visto que es un problema de precisión. A veces al realizar el primer corte, la linea recortada se queda a muy poca distancia
de la otra (~10^-9) pero sin llegar a tocarse por lo que la herramienta no es capaz de recortar la segunda linea debido a que no interseccionan.

#3 - 05/29/2015 08:11 AM - Lluís Marqués
- Has patch set to Yes
- % Done changed from 0 to 90
- File patch-trim-line.txt added

Como no se pueden subir cambios, adjunto parche con la solución. Cuando salga la versión final aplicar el parche adjunto

#4 - 06/10/2015 09:36 AM - Lluís Marqués
- % Done changed from 90 to 100
- Status changed from In progress to Fixed

Aplicado el parche y subidos los cambios.

#5 - 06/12/2015 01:41 PM - Francisco Díaz Carsí
- Related to gvSIG add-on requests #3595: New add-on for org.gvsig.vectorediting.app.mainplugin-1.0.13-18 added

#6 - 10/15/2015 10:55 AM - Álvaro Anguix
- Status changed from Fixed to Closed
